{
	"name": "form/local/input/timecard/timecard1/layout.json",
	"layout": {
		"component": "nc-form",
		"attribute": {
			"id": "timecard1",
			"v-cloak": "v-cloak"
		},
		"element": [
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-label-input",
						"text": "Employee id",
						"attribute": {
							"model": "rec.timec.employee_id"
						}
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-label-input",
						"text": "State",
						"attribute": {
							"model": "rec.timec.timecard_state"
						}
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-label-input",
						"text": "Salary type",
						"attribute": {
							"model": "rec.timec.salary_type"
						}
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-label-input",
						"text": "Work shift",
						"attribute": {
							"model": "rec.timec.work_shift"
						}
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-label-input",
						"text": "Start time",
						"attribute": {
							"id": "timec_start_time",
							"calendar-type": "datetime",
							"end-calendar": "rec.timec_end_time",
							"model": "rec.timec.start_time",
							"start-mode": "hour"
						}
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-label-input",
						"text": "End time",
						"attribute": {
							"id": "timec_end_time",
							"calendar-type": "datetime",
							"model": "rec.timec.end_time",
							"start-calendar": "rec.timec_start_time",
							"start-mode": "hour"
						}
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-label-input",
						"text": "Work time",
						"attribute": {
							"model": "rec.timec.work_time"
						}
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-label-input",
						"text": "Unit price",
						"attribute": {
							"model": "rec.timec.unit_price"
						}
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-label-input",
						"text": "End reason",
						"attribute": {
							"model": "rec.timec.end_reason"
						}
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-label-input",
						"text": "Location",
						"attribute": {
							"model": "rec.timec.location"
						}
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-label-input",
						"text": "Group",
						"attribute": {
							"model": "rec.timec.work_group"
						}
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-label-input",
						"text": "Subgroup",
						"attribute": {
							"model": "rec.timec.work_subgroup"
						}
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "4/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Info",
								"attribute": {
									"model": "hdr.timec.info"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "8/12"
						},
						"element": [
							{
								"component": "nc-textarea",
								"attribute": {
									"model": "rec.timec.info",
									"rows": "5"
								}
							}
						]
					}
				]
			}
		]
	}
}
